> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mufi.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Activate User

> Set a user to activated. Activation status is required to manage any features associated with their wallets. The current date is used as the activation date. You can query the activation status of a user using the `POST /v1/users/activation` endpoint.



## OpenAPI

````yaml post /v1/users/activate
openapi: 3.1.0
info:
  title: Wallet API
  version: 2.72.0
servers:
  - url: https://dev.api.mufi.app/
    description: Staging
security: []
paths:
  /v1/users/activate:
    post:
      tags:
        - wallets
      summary: Activate User
      description: >-
        Set a user to activated. Activation status is required to manage any
        features associated with their wallets. The current date is used as the
        activation date. You can query the activation status of a user using the
        `POST /v1/users/activation` endpoint.
      requestBody:
        description: >-
          This `POST` endpoint allows activating a user by `email`, `id`, or
          `referenceId`. Use only one field per request. If multiple fields are
          provided, the priority is `email`, followed by `referenceId`, and then
          `id`.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UserRequest'
      responses:
        '200':
          description: A users activation status and date.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActivationResponse'
        '400':
          description: A bad request will contain a list of errors for invalid fields.
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: string
                required:
                  - errors
        '401':
          description: >-
            Unauthorized. The API key is missing or has expired if you are using
            a key with an expiration date that you configured when creating the
            key.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
        '403':
          description: >-
            Forbidden. The API key that you provided is not valid or does not
            exist.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
        '404':
          description: User not found.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
        '409':
          description: User already activated.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
      security:
        - BearerAuth: []
components:
  schemas:
    UserRequest:
      type: object
      properties:
        id:
          type: string
          format: uuid
        email:
          type: string
          format: email
        referenceId:
          type: string
    ActivationResponse:
      type: object
      properties:
        activatedOn:
          type:
            - string
            - 'null'
          format: date-time
        isActivated:
          type: boolean
      required:
        - activatedOn
        - isActivated
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: A JWT Access Token obtained from Google Cloud.

````